import { BodyScrollOptions } from 'body-scroll-lock';
import { Ref } from 'vue';

/**
 * Enables body scroll locking
 * @param enable whether the scroll lock should be active or not
 * @param options BodyScrollLock options
 * @returns Ref of element to exclude from body scroll lock
 */
declare function useBodyScrollLock(enable: Ref<boolean>, options?: BodyScrollOptions): {
    scrollLockRef: (el: any) => void;
};

export { useBodyScrollLock };
